jQuery(document).ready(function($){

    $(document).on('click', '#archaeology-museums-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'archaeology_museums_dismiss_notice'
            }
        });

    });

});